Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045516
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2020-11-26 14:002021-02-19 06:44
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in VersionPR21Q2
StatusclosedFix in branchFixed in SCM revisiond07086ebf6e8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045516: Upgrade ESLint and Jest to its latest version

DescriptionIn order to ease the integration with newer projects, ESLint should be updated to its latest version (7.14.0 as the time of writing) and fix all possible issues that could arise.
Steps To ReproduceSee above
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045315 closedjarmendariz POS2 Linter pre-commit hook is not watching for jsx files 
related to defect 0045551 closedjarmendariz Retail Modules Fix potential code issues detected by ESLint 
related to feature request 0045731 newplatform Openbravo ERP Upgrade Javascript code formatting 
related to defect 0044856 closedplatform Openbravo ERP Upgrade Jest to latest stable version 
related to defect 0045745 closedjarmendariz Openbravo ERP Fix missing ESLint issues in modules 
related to defect 0045746 closedjarmendariz Openbravo ERP Remove autogenerated ESLint config files tracked in modules VCS 
blocks defect 0045326 closedjarmendariz POS2 Linting in BL files is not working 
blocks feature request 0044751 newRetail Retail Modules replace enyo with react for UI framework 

-  Notes
(0125427)
hgbot (developer)
2021-01-13 13:44

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/265 [^]
(0125428)
hgbot (developer)
2021-01-13 14:08

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/126 [^]
(0125438)
hgbot (developer)
2021-01-13 19:37

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/126 [^]
(0125452)
hgbot (developer)
2021-01-14 09:38

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/256 [^]
(0125453)
hgbot (developer)
2021-01-14 10:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/129 [^]
(0125457)
hgbot (developer)
2021-01-14 10:46

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/14 [^]
(0125458)
hgbot (developer)
2021-01-14 12:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/130 [^]
(0125459)
hgbot (developer)
2021-01-14 12:31

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/257 [^]
(0125460)
hgbot (developer)
2021-01-14 12:34

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/15 [^]
(0125462)
hgbot (developer)
2021-01-14 13:44

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/223 [^]
(0125466)
hgbot (developer)
2021-01-14 17:33

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtprinter/-/merge_requests/4 [^]
(0125467)
hgbot (developer)
2021-01-14 17:35

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.nexoprovider/-/merge_requests/5 [^]
(0125468)
hgbot (developer)
2021-01-14 17:38

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.lotterycode/-/merge_requests/3 [^]
(0125469)
hgbot (developer)
2021-01-14 17:40

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/merge_requests/7 [^]
(0125482)
hgbot (developer)
2021-01-15 12:56

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/225 [^]
(0125483)
hgbot (developer)
2021-01-15 13:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.restaurant/-/merge_requests/53 [^]
(0125497)
hgbot (developer)
2021-01-18 11:45

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 37dfa7bdb8e454bae71f09fa0f20d847fd730880
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T11:44:39+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/37dfa7bdb8e454bae71f09fa0f20d847fd730880 [^]

Related to ISSUE-45516: Fixing ESLint issues after upgrade

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/129 [^]

---
M web/org.openbravo.mobile.core/app/.eslintrc.json
---
(0125498)
hgbot (developer)
2021-01-18 11:45

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/129 [^]
(0125499)
hgbot (developer)
2021-01-18 11:47

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: bb29ab3f068d609a6c4a3ba91ce25aa2b09c6344
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T11:46:57+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/bb29ab3f068d609a6c4a3ba91ce25aa2b09c6344 [^]

Related to ISSUE-45516: ESLint errors cleanup

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/130 [^]

---
M web-test/model/application-state/StatePersistence.test.js
M web/org.openbravo.mobile.core/app/integration/external-business-partner/ExternalBusinessPartnerRepository.js
M web/org.openbravo.mobile.core/app/model/application-state/PersistenceChangeListenerManager.js
M web/org.openbravo.mobile.core/app/model/application-state/StatePersistence.js
M web/org.openbravo.mobile.core/app/model/login/PasswordHash.js
M web/org.openbravo.mobile.core/app/model/login/SessionModel.js
M web/org.openbravo.mobile.core/app/model/login/UserModel.js
M web/org.openbravo.mobile.core/app/model/masterdata/MasterdataController.js
M web/org.openbravo.mobile.core/app/model/masterdata/MasterdataModel.js
M web/org.openbravo.mobile.core/app/model/synchronization-buffer/BackendEndpoint.js
M web/org.openbravo.mobile.core/app/model/synchronization-buffer/MasterdataEndpoint.js
M web/org.openbravo.mobile.core/app/model/synchronization-buffer/MessageModel.js
M web/org.openbravo.mobile.core/app/model/synchronization-buffer/MessageModelController.js
M web/org.openbravo.mobile.core/app/model/synchronization-buffer/SynchronizationBuffer.js
---
(0125500)
hgbot (developer)
2021-01-18 11:47

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/130 [^]
(0125501)
hgbot (developer)
2021-01-18 11:50

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 71b6813372ab67e8324259fa4f8f0d56eb40e338
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T11:49:53+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/71b6813372ab67e8324259fa4f8f0d56eb40e338 [^]

Related to ISSUE-45516: Fixing ESLint issues after upgrade

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/256 [^]

---
M web/org.openbravo.retail.posterminal/app/.eslintrc.json
---
(0125502)
hgbot (developer)
2021-01-18 11:50

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/256 [^]
(0125503)
hgbot (developer)
2021-01-18 11:52

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 37ad191f1655f8ac8a21b0a374f07be4960c8e0a
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T11:50:59+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/37ad191f1655f8ac8a21b0a374f07be4960c8e0a [^]

Related to ISSUE-45516: ESLint errors cleanup

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/257 [^]

---
M web-test/model/business-object/ticket/actions/DeleteLine-actionPreparation.test.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/pack/Pack.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/service/ServicesFilter.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/stock/StockChecker.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/rules/priceexcluding-tax.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/rules/priceincluding-tax.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket-list/actions/AddNewQuotation.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket-list/actions/AddNewTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket-list/actions/LoadRemoteTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket-list/actions/SaveTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/AddProduct.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/AssignExternalBusinessPartner.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CancelTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CheckTicketForPayOpenTickets.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteCreditTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteLayaway.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteQuotation.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CompleteTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CreateTicketFromQuotation.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/DeleteLine.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/DeleteTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/ReplaceTicket.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/VoidLayaway.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/BPCategoryModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/BPSetLineModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/BusinessPartnerLocationModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/BusinessPartnerModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/CharacteristicModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/CharacteristicValueModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/CountryModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/PriceListModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ProductBOMModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ProductCategoryTreeModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ProductCharacteristicValueModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ProductModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ProductPriceModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ProductServiceLinkedModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/SalesRepresentativeModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ServicePriceRuleModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ServicePriceRuleRangeModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ServicePriceRuleRangePricesModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ServicePriceRuleVersionModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ServiceProductCategoryModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ServiceProductModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/TaxCategoryBOMModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/TaxCategoryModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/TaxRateModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/TaxZoneModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountFilterBusinessPartnerExtRef.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountFilterBusinessPartnerGroupModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountFilterBusinessPartnerModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountFilterBusinessPartnerSetModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountFilterCharacteristicModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountFilterPriceListModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountFilterProductCategoryModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountFilterProductModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountFilterRoleModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountModel.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/components/modalselectopenreceipts.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/stock-checker.js
---
(0125504)
hgbot (developer)
2021-01-18 11:52

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/257 [^]
(0125505)
hgbot (developer)
2021-01-18 11:55

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts [^]
Changeset: af94b0c5db4ce8c6a15146c8ef0511d2ad263594
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T11:55:05+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/commit/af94b0c5db4ce8c6a15146c8ef0511d2ad263594 [^]

Related to ISSUE-45516: Fixing ESLint issues after upgrade

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/14 [^]

---
M web/org.openbravo.retail.discounts/app/.eslintrc.json
---
(0125506)
hgbot (developer)
2021-01-18 11:55

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/14 [^]
(0125507)
hgbot (developer)
2021-01-18 11:58

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts [^]
Changeset: d6604a287b8831d4b302339ae0f8a4af26d9c3c0
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T11:57:29+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/commit/d6604a287b8831d4b302339ae0f8a4af26d9c3c0 [^]

Related to ISSUE-45516: ESLint errors cleanup

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/15 [^]

---
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/discount-rules.js
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/buy-x-pay-y-same-products-discount.js
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/fixed-percentage-discount.js
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/manual-amount-promotions-discount.js
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/manual-linefinalprice-promotions-discount.js
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/manual-percentage-promotions-discount.js
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/price-adjustment-discount.js
---
(0125508)
hgbot (developer)
2021-01-18 11:58

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/15 [^]
(0125509)
hgbot (developer)
2021-01-18 12:00

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.restaurant [^]
Changeset: 603acec43140608cdb88605099afeceb43b2e7cb
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T11:59:50+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.restaurant/-/commit/603acec43140608cdb88605099afeceb43b2e7cb [^]

Related to ISSUE-45516: ESLint errors cleanup

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.restaurant/-/merge_requests/53 [^]

---
A web-jspack/org.openbravo.retail.restaurant/src/model/ticket/actions/__mock__/GroupedMenu.js
A web-jspack/org.openbravo.retail.restaurant/src/model/ticket/actions/__mock__/NonFixedSizeMenu.js
A web-jspack/org.openbravo.retail.restaurant/src/model/ticket/actions/__mock__/ProductInTwoCategoriesMenu.js
A web-jspack/org.openbravo.retail.restaurant/src/model/ticket/actions/__mock__/SimpleMenu.js
A web-jspack/org.openbravo.retail.restaurant/src/model/ticket/actions/__test__/AddProductActionPreparation.test.js
---
(0125510)
hgbot (developer)
2021-01-18 12:00

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.restaurant/-/merge_requests/53 [^]
(0125511)
hgbot (developer)
2021-01-18 12:03

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtprinter [^]
Changeset: 2aa9d8c0d3a7b14451c132c62ee35fbe0a38a113
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T12:03:19+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtprinter/-/commit/2aa9d8c0d3a7b14451c132c62ee35fbe0a38a113 [^]

Related to ISSUE-45516: ESLint errors cleanup

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtprinter/-/merge_requests/4 [^]

---
M web/org.openbravo.retail.rtprinter/source/components/fiscalizehook.js
M web/org.openbravo.retail.rtprinter/source/components/formatfunctions.js
M web/org.openbravo.retail.rtprinter/source/components/networkfunctions.js
M web/org.openbravo.retail.rtprinter/source/components/reportx.js
M web/org.openbravo.retail.rtprinter/source/components/reportxaction.js
M web/org.openbravo.retail.rtprinter/source/components/reportxmenu.js
M web/org.openbravo.retail.rtprinter/source/components/reportz.js
M web/org.openbravo.retail.rtprinter/source/components/reportzhook.js
M web/org.openbravo.retail.rtprinter/source/components/returnshook.js
M web/org.openbravo.retail.rtprinter/source/components/rtprintertype.js
M web/org.openbravo.retail.rtprinter/source/components/rtprintertypehook.js
M web/org.openbravo.retail.rtprinter/source/components/savevalidations.js
M web/org.openbravo.retail.rtprinter/source/components/savevalidationshook.js
M web/org.openbravo.retail.rtprinter/source/components/sendfiscal.js
---
(0125512)
hgbot (developer)
2021-01-18 12:03

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtprinter/-/merge_requests/4 [^]
(0125513)
hgbot (developer)
2021-01-18 12:05

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.nexoprovider [^]
Changeset: 9ca469dc2a2ac7e50f18d24784733e68735601ae
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T12:04:58+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.nexoprovider/-/commit/9ca469dc2a2ac7e50f18d24784733e68735601ae [^]

Related to ISSUE-45516: ESLint errors cleanup

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.nexoprovider/-/merge_requests/5 [^]

---
M web/org.openbravo.retail.nexoprovider/js/models/NexoWrapper.js
M web/org.openbravo.retail.nexoprovider/js/models/displayNexoModel.js
M web/org.openbravo.retail.nexoprovider/js/models/genericNexoModel.js
M web/org.openbravo.retail.nexoprovider/js/models/inputNexoModel.js
M web/org.openbravo.retail.nexoprovider/js/models/loginNexoModel.js
M web/org.openbravo.retail.nexoprovider/js/models/logoutNexoModel.js
M web/org.openbravo.retail.nexoprovider/js/models/printNexoModel.js
M web/org.openbravo.retail.nexoprovider/js/models/reversalNexoModel.js
M web/org.openbravo.retail.nexoprovider/js/models/serializer.js
M web/org.openbravo.retail.nexoprovider/js/models/transactionstatusNexoModel.js
M web/org.openbravo.retail.nexoprovider/js/utils/getdatetime.js
M web/org.openbravo.retail.nexoprovider/js/utils/getwebsocketurl.js
M web/org.openbravo.retail.nexoprovider/js/utils/printprocess.js
M web/org.openbravo.retail.nexoprovider/js/websocket/mockWebsocket.js
---
(0125514)
hgbot (developer)
2021-01-18 12:05

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.nexoprovider/-/merge_requests/5 [^]
(0125515)
hgbot (developer)
2021-01-18 12:06

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.lotterycode [^]
Changeset: 8823e3355040c5c81e41ea16727a57f3ec76ca9a
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T12:06:23+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.lotterycode/-/commit/8823e3355040c5c81e41ea16727a57f3ec76ca9a [^]

Related to ISSUE-45516: ESLint errors cleanup

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.lotterycode/-/merge_requests/3 [^]

---
M web/org.openbravo.retail.lotterycode/js/hookUtils/oblotc-getlotterycode.js
---
(0125516)
hgbot (developer)
2021-01-18 12:06

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.lotterycode/-/merge_requests/3 [^]
(0125517)
hgbot (developer)
2021-01-18 12:07

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf [^]
Changeset: 6dbf1b31a61d24eb88700c8961668eb8e081673d
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T12:07:28+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/commit/6dbf1b31a61d24eb88700c8961668eb8e081673d [^]

Related to ISSUE-45516: ESLint errors cleanup

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/merge_requests/7 [^]

---
M web/org.openbravo.retail.discounts.coupons.otf/js/utils.js
---
(0125518)
hgbot (developer)
2021-01-18 12:07

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/merge_requests/7 [^]
(0125519)
hgbot (developer)
2021-01-18 12:10

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 839259b0f5b57b4cf8e070f0e208bd1cd1de082d
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T12:09:30+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/839259b0f5b57b4cf8e070f0e208bd1cd1de082d [^]

Related to ISSUE-45516: Moved ESLint Airbnb rules to core2 modules

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/223 [^]

---
M web-jspack/org.openbravo.core2/package-lock.json
M web-jspack/org.openbravo.core2/package-part.json
---
(0125520)
hgbot (developer)
2021-01-18 12:10

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/223 [^]
(0125523)
hgbot (developer)
2021-01-18 12:17

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 951f616db1fa5d6f4f01bf7d916d2c4f64091308
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T12:14:04+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/951f616db1fa5d6f4f01bf7d916d2c4f64091308 [^]

Related to ISSUE-45516: ESLint errors cleanup

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/225 [^]

---
M web-jspack/org.openbravo.core2/src/core/__test__/Registry.test.js
M web-jspack/org.openbravo.core2/src/core/user-action/__mock__/TestStateInvalidUserAction.js
M web-jspack/org.openbravo.core2/src/model/user-interface/__test__/SetDrawerMenuState.test.js
M web-jspack/org.openbravo.core2/src/storybook/Storyshots.test.js
---
(0125524)
hgbot (developer)
2021-01-18 12:17

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/225 [^]
(0125526)
hgbot (developer)
2021-01-18 12:22

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/265 [^]
(0125527)
hgbot (developer)
2021-01-18 12:22

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: d07086ebf6e8802d4b59818976595d01a0251614
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-01-18T12:21:50+01:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/d07086ebf6e8802d4b59818976595d01a0251614 [^]

Fix ISSUE-45516: Updated ESLint and Jest

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/265 [^]

---
M modules/org.openbravo.client.kernel/eslint-airbnb/eslintrc-airbnb.template
M package-lock.json
M package.json
---
(0126172)
hgbot (developer)
2021-02-19 06:44

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: dca3ccb913548096bea9b5135efb172009ae1580
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-02-19T05:39:28+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/dca3ccb913548096bea9b5135efb172009ae1580 [^]

Related to ISSUE-45516: Updating ESLint config for React code

MR: https://gitlab.com/openbravo/devel/openbravo/-/merge_requests/2 [^]

---
M babel.config.js
M modules/org.openbravo.client.kernel/eslint-airbnb/eslintrc-airbnb-react.template
M package-lock.json
M package.json
---

- Issue History
Date Modified Username Field Change
2020-11-26 14:00 jarmendariz New Issue
2020-11-26 14:00 jarmendariz Assigned To => platform
2020-11-26 14:00 jarmendariz Modules => Core
2020-11-26 14:00 jarmendariz Triggers an Emergency Pack => No
2020-11-26 14:00 jarmendariz Assigned To platform => jarmendariz
2020-11-26 14:01 jarmendariz Status new => scheduled
2020-11-26 14:01 jarmendariz Relationship added related to 0045315
2020-12-09 21:31 jarmendariz Relationship added related to 0045551
2021-01-13 13:14 jarmendariz Proposed Solution updated
2021-01-13 13:44 hgbot Note Added: 0125427
2021-01-13 14:08 hgbot Note Added: 0125428
2021-01-13 19:37 hgbot Note Added: 0125438
2021-01-14 09:38 hgbot Note Added: 0125452
2021-01-14 10:25 hgbot Note Added: 0125453
2021-01-14 10:46 hgbot Note Added: 0125457
2021-01-14 12:26 hgbot Note Added: 0125458
2021-01-14 12:31 hgbot Note Added: 0125459
2021-01-14 12:34 hgbot Note Added: 0125460
2021-01-14 12:38 jarmendariz Relationship added related to 0045731
2021-01-14 13:44 hgbot Note Added: 0125462
2021-01-14 17:33 hgbot Note Added: 0125466
2021-01-14 17:35 hgbot Note Added: 0125467
2021-01-14 17:38 hgbot Note Added: 0125468
2021-01-14 17:40 hgbot Note Added: 0125469
2021-01-15 09:53 jarmendariz Relationship added blocks 0045326
2021-01-15 12:56 hgbot Note Added: 0125482
2021-01-15 13:21 hgbot Note Added: 0125483
2021-01-18 11:45 hgbot Note Added: 0125497
2021-01-18 11:45 hgbot Note Added: 0125498
2021-01-18 11:47 hgbot Note Added: 0125499
2021-01-18 11:47 hgbot Note Added: 0125500
2021-01-18 11:50 hgbot Note Added: 0125501
2021-01-18 11:50 hgbot Note Added: 0125502
2021-01-18 11:52 hgbot Note Added: 0125503
2021-01-18 11:52 hgbot Note Added: 0125504
2021-01-18 11:55 hgbot Note Added: 0125505
2021-01-18 11:55 hgbot Note Added: 0125506
2021-01-18 11:58 hgbot Note Added: 0125507
2021-01-18 11:58 hgbot Note Added: 0125508
2021-01-18 12:00 hgbot Note Added: 0125509
2021-01-18 12:00 hgbot Note Added: 0125510
2021-01-18 12:03 hgbot Note Added: 0125511
2021-01-18 12:03 hgbot Note Added: 0125512
2021-01-18 12:05 hgbot Note Added: 0125513
2021-01-18 12:05 hgbot Note Added: 0125514
2021-01-18 12:06 hgbot Note Added: 0125515
2021-01-18 12:06 hgbot Note Added: 0125516
2021-01-18 12:07 hgbot Note Added: 0125517
2021-01-18 12:07 hgbot Note Added: 0125518
2021-01-18 12:10 hgbot Note Added: 0125519
2021-01-18 12:10 hgbot Note Added: 0125520
2021-01-18 12:17 hgbot Note Added: 0125523
2021-01-18 12:17 hgbot Note Added: 0125524
2021-01-18 12:22 hgbot Note Added: 0125526
2021-01-18 12:22 hgbot Note Added: 0125527
2021-01-18 12:55 jarmendariz Status scheduled => resolved
2021-01-18 12:55 jarmendariz Fixed in SCM revision => d07086ebf6e8802d4b59818976595d01a0251614
2021-01-18 12:55 jarmendariz Resolution open => fixed
2021-01-18 12:58 alostale Review Assigned To => alostale
2021-01-18 12:58 alostale Status resolved => closed
2021-01-18 12:58 alostale Fixed in Version => PR21Q2
2021-01-18 13:16 jarmendariz Relationship added related to 0044856
2021-01-18 13:16 jarmendariz Summary Upgrade ESLint to its latest version => Upgrade ESLint and Jest to its latest version
2021-01-18 13:16 jarmendariz Proposed Solution updated
2021-01-18 17:53 jarmendariz Relationship added related to 0045745
2021-01-18 17:56 jarmendariz Relationship added related to 0045746
2021-02-04 08:12 alostale Relationship added blocks 0044751
2021-02-19 06:44 hgbot Note Added: 0126172


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker